opj_j2k_tlm_info Struct Reference

Information got from the concatenation of TLM marker semgnets. More...

`#include <j2k.h>`

## Data Fields

OPJ_UINT32 | m_entries_count
| Number of entries in m_tile_part_infos.
opj_j2k_tlm_tile_part_info_t * | m_tile_part_infos
| Array of m_entries_count values.
OPJ_BOOL | m_is_invalid

## Detailed Description

Information got from the concatenation of TLM marker semgnets.

## Field Documentation

## m_entries_count

OPJ_UINT32 opj_j2k_tlm_info::m_entries_count

Number of entries in m_tile_part_infos.

Referenced by opj_j2k_build_tp_index_from_tlm(), and opj_j2k_read_tlm().

## m_is_invalid

OPJ_BOOL opj_j2k_tlm_info::m_is_invalid

Referenced by opj_j2k_build_tp_index_from_tlm(), opj_j2k_decode_tiles(), opj_j2k_read_sot(), opj_j2k_read_tile_header(), and opj_j2k_read_tlm().

## m_tile_part_infos

opj_j2k_tlm_tile_part_info_t* opj_j2k_tlm_info::m_tile_part_infos

Array of m_entries_count values.

Referenced by opj_j2k_build_tp_index_from_tlm(), opj_j2k_destroy(), and opj_j2k_read_tlm().

The documentation for this struct was generated from the following file:

- j2k.h